<? 
include ("clases/doc_curso.class.php");
include ("clases/curso.class.php");
include ("clases/autor.class.php");
include ("clases/pregunta.class.php");
$objdc = new doc_curso(); $objc = new curso(); $objd = new autor(); $objpre = new pregunta();
$iddoc=$_REQUEST['id'];
if($objdc->BuscarPorCodigoDoc($iddoc))
{
   $iddoc_curso = $objdc->getIddoc_curso();
}
///////////////////////////////   
$idpreg=$_REQUEST['idpreg'];
if($objpre->BuscarPorCodigo($idpreg)){
     $iddoc_curso = $objpre->getIddoc_curso();
	 if($objdc->BuscarPorCodigo($iddoc_curso)){
	    $idcurso =$objdc->getIdcurso();
		if($objc->BuscarPorCodigo($idcurso)){
		   $curso = $objc->getCurso(); 
		} 
	 }
	 
	 $pregunta = $objpre->getPregunta();
	 $puntaje = $objpre->getPuntaje();  
	 $valor = "M";
   }else{
   			$valor = "R";
         }
  
?>
<html>
	<head><title>mi web</title>
	
    <meta name="viewport" content="width=device-width, initial-scale=1">
    <link rel="Shortcut Icon" type="image/x-icon" href="assets/icons/book.ico" />
    <script src="js/sweet-alert.min.js"></script>
    <link rel="stylesheet" href="css/sweet-alert.css">
    <link rel="stylesheet" href="css/material-design-iconic-font.min.css">
    <link rel="stylesheet" href="css/normalize.css">
    <link rel="stylesheet" href="css/bootstrap.min.css">
    <link rel="stylesheet" href="css/jquery.mCustomScrollbar.css">
    <link rel="stylesheet" href="css/timeline.css">
    <link rel="stylesheet" href="css/style.css">
    <script src="//ajax.googleapis.com/ajax/libs/jquery/1.11.2/jquery.min.js"></script>
    <script>window.jQuery || document.write('<script src="js/jquery-1.11.2.min.js"><\/script>')</script>
    <script src="js/modernizr.js"></script>
    <script src="js/bootstrap.min.js"></script>
    <script src="js/jquery.mCustomScrollbar.concat.min.js"></script>
    <script src="js/main.js"></script>

<script src="media/js/jquery-1.10.2.js"></script>
<style>
.text_docentes2{ font-size:12px; font-family:Arial, Helvetica, sans-serif;}
</style>

		</head>
	
	<script language="javascript">
function consultar(f){
	doc = f.iddoc.value;
	f.action = 'manpreguntas.php?id='+doc;
	f.submit();return true;
	}
	
	function confirmar()
		{
			if(confirm('Estas seguro de Eliminar el Registro?'))
				return true;
			else
				return false;
		}
	
function guardar(f)
{
  if(f.iddoc_curso.value=="")
   {
      f.iddoc_curso.focus();
	  return false;
   }
   if(f.pregunta.value=="")
   {
      alert("ingrese la pregunta");
      f.pregunta.focus();
	  return false;
   }
   
   if(f.puntaje.value=="")
   {
      alert("ingrese la pregunta");
      f.puntaje.focus();
	  return false;
   }
   
   f.action='controladores/procesapregunta.php';
   f.submit();
   return true;
}
	
	$(document).ready(function() {
  $('a[data-toggle=modal], button[data-toggle=modal]').click(function () {
    var data_id = '';
	var data_des= '';
    if (typeof $(this).data('id') !== 'undefined') {
      data_id = $(this).data('id');	   
    }
    $('#idpregunta').val(data_id);
  })
});
	function rellenar(a,d,t){		   
			 //document.form3.idpregunta.value=n;
			 document.form3.iddoc_curso.value=a;
			 document.form3.pregunta.value=d;
			 document.form3.puntaje.value=t;
	}
	
$(function () {
  $('[data-toggle="tooltip"]').tooltip()
})	
	</script>
	<body>
	<div class="container">
	<form action="controladores/procesapregunta.php" method="post" enctype="multipart/form-data" name="f">
	  <table width="100%" class="table-responsive">
        <tr>
          <td colspan="2" >           <h3> Lista de Preguntas <a href="#" data-id="" data-title="Editar" data-toggle="modal" data-target="#nuevo" class="btn btn-default"><span class="glyphicon glyphicon-plus" aria-hidden="true"></span></a></h3></td>
        </tr>
        
        <tr class="Estilo1">
          <td width="568">Seleccione curso para ver preguntas </td>
          <td width="1316"><select name="buscar" class="form-control" onChange="consultar(this.form);">
            <option value="">seleccionar</option>
            <? $lista=$objdc->ListarPorDocente($iddoc);
			 	  for($i = 0; $i<count($lista); $i++)
			       {
			         if($objc->BuscarPorCodigo($lista[$i]["idcurso"])){
				        $lista[$i]["curso"]=$objc->getCurso(); 
				      }	 
		        ?>
            <option value="<?=$lista[$i]["iddoc_curso"];?>">
            <?=$lista[$i]["curso"];?>
            </option>
            <?
		        }		
	          ?>
          </select></td>
        </tr>
        <tr class="Estilo1">
          <td colspan="2">&nbsp;</td>
        </tr>
      </table>
	  <table class="table table-responsive" >
        <tr   class="active">
          <td colspan="2"  >Curso</td>
          <td  >Pregunta</td>
          <td  >Pts</td>
          <td colspan="3"  align="center">Acci&oacute;n</td>
        </tr>
        <? 
			  $criterio = $_REQUEST["buscar"];
			  
			   // $listapreg = $objpre->ListarTodo();	
			     if($criterio==""){
				 $listapreg = $objpre->ListarPorDocentecurso($iddoc_curso);	
				 }else{
				 		 $listapreg = $objpre->ListarPorDocentecurso($criterio);	
				      }
				//////////////////////////////////////////////////77		 
		/*	$TAMANO_PAGINA = 12;//Limito la busqueda			
			$pagina = $_GET["pagina"];//examino la p?gina a mostrar y el inicio del registro a mostrar
			if (!$pagina) {
				$inicio = 0;
				$pagina = 1;
			}
			else {
					$inicio = ($pagina - 1) * $TAMANO_PAGINA;
				}			
			$total_paginas = ceil(count($listapreg) / $TAMANO_PAGINA);//calculo el total de p?ginas
			
			$listapreg=$objpre->ListaPaginada($criterio,$inicio,$TAMANO_PAGINA);*/
			//////////////////////////////////////////////////////////
			  for($i = 0; $i<count($listapreg); $i++)
			  {
			    if($objdc->BuscarPorCodigo($listapreg[$i]["iddoc_curso"])){
				      $listapreg[$i]["idcurso"]=$objdc->getIdcurso(); 
					  if($objc->BuscarPorCodigo($listapreg[$i]["idcurso"])){
				          $listapreg[$i]["curso"]=$objc->getCurso();					  
				      }
				 }	 
			  ?>
        <tr  onMouseOver="this.style.backgroundColor='#f5f5f5'" onMouseOut="this.style.backgroundColor='FFFFFF'" class="text_docentes">
          <td width="2%" ><span class="glyphicon glyphicon-ok"></span></td>
          <td width="24%" ><?= $listapreg[$i]["curso"];?></td>
          <td width="53%" ><?=$listapreg[$i]["pregunta"];?></td>
          <td width="8%" ><?=$listapreg[$i]["puntaje"];?></td>
          <td width="2%" ><a href="manrespuestas.php?idpreg=<?=$listapreg[$i]["idpregunta"];?>" data-toggle="tooltip" title="Registrar Alternativas"><span class="glyphicon glyphicon-list" aria-hidden="true"></span></a></td >
          <td><a href="#" data-id="<?=$listapreg[$i]["idpregunta"];?>" data-title="Editar" data-toggle="modal" data-target="#edit" onClick="javascript:rellenar('<?=$listapreg[$i]["iddoc_curso"];?>','<?=$listapreg[$i]["pregunta"];?>','<?=$listapreg[$i]["puntaje"];?>');" ><span class="glyphicon glyphicon-pencil" aria-hidden="true"></span></a></td >
          <td width="7%" ><a href="controladores/procesapregunta.php?idpreg=<?=$listapreg[$i]['idpregunta'];?>&text=e&iddocente=<?=$iddoc;?>" onClick="return confirmar();" data-toggle="tooltip" title="Eliminar"><span class="glyphicon glyphicon-trash" aria-hidden="true"></span></a></td >
        </tr>
        <?
			  }
			  ?>
			  <tr>
    <td colspan="7"><?php 
		   if ($total_paginas > 1) {
   			if ($pagina != 1)
      			echo '<a href="'.$url.'?pagina='.($pagina-1).'" class="btn btn-default">anterior</a>';
     		for ($i=1;$i<=$total_paginas;$i++) {
         		if ($pagina == $i)
            //si muestro el &iacute;ndice de la p&aacute;gina actual, no coloco enlace
            	  echo $pagina;
                else
            //si el &iacute;ndice no corresponde con la p&aacute;gina mostrada actualmente,
            //coloco el enlace para ir a esa p&aacute;gina
                  echo '  <a href="'.$url.'?pagina='.$i.'"class="btn btn-default" >'.$i.'</a>  ';
          }
           if ($pagina != $total_paginas)
              echo '<a href="'.$url.'?pagina='.($pagina+1).'" class="btn btn-default">siguiente</a>';
         }
?></td>
    </tr>
      </table>
	</form>
	
	<form name="form2" action="" method="post" >
	  <div class="modal fade" id="nuevo" tabindex="-1" role="dialog" aria-labelledby="nuevo" aria-hidden="true">
      <div class="modal-dialog">
    <div class="modal-content">
          <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></button>
        <h4 class="modal-title custom_align" id="Heading">Registro de Preguntas
          <input type="hidden" name="iddoc" value="<?=$iddoc;?>">
        </h4>
      </div>
          <div class="modal-body">
          <div class="form-group">Curso:
         <select name="iddoc_curso" class="form-control">
		        <option value="<?=$iddoc_curso;?>"><?=$curso;?></option>
               <? $lista=$objdc->ListarPorDocente($iddoc);
			 	  for($i = 0; $i<count($lista); $i++)
			       {
			         if($objc->BuscarPorCodigo($lista[$i]["idcurso"])){
				        $lista[$i]["curso"]=$objc->getCurso(); 
				      }	 
		        ?>  
		           <option value="<?=$lista[$i]["iddoc_curso"];?>"><?=$lista[$i]["curso"];?></option>
		      <?
		        }		
	          ?>
          </select>
		</div>
		<div class="form-group">Pregunta: 
		<input name="pregunta" type="text" value="<?=$pregunta;?>" class="form-control">
		</div>	
		<div class="form-group">Puntaje
				  <input name="puntaje" type="text" value="<?=$puntaje;?>" class="form-control">
		    </div>
       
      </div>
          <div class="modal-footer ">
        <button type="button" class="btn btn-success btn-lg" style="width: 100%;" onClick="guardar(this.form);"><span class="glyphicon glyphicon-ok-sign"></span>Guardar</button>
		
      </div>
        </div>
    <!-- /.modal-content --> 
  </div>
      <!-- /.modal-dialog --> 
  </div>
        <input type="hidden" name="text" value="<?=$valor;?>">
	</form>   



<form name="form3" action="" method="post" >
	  <div class="modal fade" id="edit" tabindex="-1" role="dialog" aria-labelledby="edit" aria-hidden="true">
      <div class="modal-dialog">
    <div class="modal-content">
          <div class="modal-header">
        <button type="button" class="close" data-dismiss="modal" aria-hidden="true"><span class="glyphicon glyphicon-remove" aria-hidden="true"></span></button>
        <h4 class="modal-title custom_align" id="Heading">Edicion de Pregunta
          <input type="hidden" name="iddoc" value="<?=$iddoc;?>">
        </h4>
      </div>
          <div class="modal-body">
          <div class="form-group">Curso:
         <select name="iddoc_curso" class="form-control">
		        <option value=""></option>
               <? $lista=$objdc->ListarPorDocente($iddoc);
			 	  for($i = 0; $i<count($lista); $i++)
			       {
			         if($objc->BuscarPorCodigo($lista[$i]["idcurso"])){
				        $lista[$i]["curso"]=$objc->getCurso(); 
				      }	 
		        ?>  
		           <option value="<?=$lista[$i]["iddoc_curso"];?>"><?=$lista[$i]["curso"];?></option>
		      <?
		        }		
	          ?>
          </select>
		  
		  <input name="idpregunta" id="idpregunta" type="hidden" value="">
		</div>
		<div class="form-group">Pregunta: 
		<input name="pregunta" id="pregunta" type="text"  class="form-control">
		</div>	
		<div class="form-group">Puntaje
				  <input name="puntaje" id="puntaje" type="text" class="form-control">
		    </div>
       
      </div>
          <div class="modal-footer ">
        <button type="button" class="btn btn-success btn-lg" style="width: 100%;" onClick="guardar(this.form);"><span class="glyphicon glyphicon-ok-sign"></span>Guardar</button>
		
      </div>
        </div>
    <!-- /.modal-content --> 
  </div>
      <!-- /.modal-dialog --> 
  </div>
  
        <input type="hidden" name="text" value="M">
	</form>  
	</div> 
	</body>	
</html>